#############################################################
#           Independent Spirit Awards Collections           #
#         Created by Yozora, Bullmoose20, & Sohjiro         #
#            Credit to pjcob for the Trakt Lists            #
#############################################################
#  REQUIRES TRAKT AUTHENTICATION                            #
#  https://metamanager.wiki/en/latest/config/trakt.html     #
#                                                           #
#  Call this from your config.yml (Movie only)              #
#  If nothing is specified these are the defaults           #
#                                                           #
#    metadata_path:                                         #
#      - git: PMM/award/spirit                              #
#        template_variables:                                #
#          # Turn the individual year collections on/off    #
#          use_year_collections: true                       #
#          collection_order: custom                         #
#          # Sets the collection mode of the collection     #
#          collection_mode:                                 #
#          # Sets the value at the start of the sort title  #
#          collection_section: 16                           #
#############################################################

external_templates:
  git: PMM/templates
  template_variables:
    collection_section: 16

templates:
  Spirit:
    allowed_library_types: movie
    summary: <<key>> Independent Spirit Awards
    trakt_list: https://trakt.tv/users/pjcob/lists/<<key>>-independent-spirits
    url_poster: https://raw.githubusercontent.com/meisnate12/Plex-Meta-Manager-Images/master/award/spirit/<<key>>.jpg

dynamic_collections:
  Independent Spirit Awards Awards:
    type: number
    sync: true
    data:
      starting: current_year-5
      ending: current_year
    title_format: Independent Spirit Awards <<key_name>>
    template:
      - use_year_collections
      - Spirit
      - award
      - shared
